Subject: RE: [AAA-WG]: 4 proposals for solving vendor specific commands

From: <[email-masked]>
Date: Tue, 11 Jun 2002 16:27:46 +0300

Hi Erik,

> On Tue, 11 Jun 2002 [email-masked] wrote:
> > 1) 	Solution: Do nothing.  
> > 2)	Solution: prohibit vendor extensions.
> > 3)	Solution: Mandate Informational RFCs on vendor extensions
> > 4)	Solution: IANA registry, with pointer to further documentation
> 
> Experience with SLP extensions has shown that route '4' is a lot
> less painful than '3'.  We have gotten extensions registered with
> IANA in under two weeks.  
> 
> The result is that those who want to interoperate can get the 
> specification easily.  Those who have vendor extensions and do not 
> have years to spend on the IETF process can easily get their 
> specifications published.  Peer review is still possible on these
> specs, for example, on a mailing list dedicated to such discussion.

Thanks for the input from a practical perspective. it is useful to have
a reality check now and again.

John

---

From: "Tom-PT Taylor" <[email-masked]>
Date: Tue, 11 Jun 2002 09:36:48 -0400

I'll toss in the Megaco experience, which may or may not be acceptable to
the IESG if they had the chance to make the decision again.  We allow
extensions to the Megaco protocol through packages.  These are of two types,
public and private.  There is one IANA registry for all packages.  Public
packages must have publicly-accessible documentation somewhere (doesn't have
to be IETF).  Private packages just have a name and a contact.

-----Original Message-----
From: Erik Guttman [mailto:[email-masked]]
Sent: Tuesday, June 11, 2002 9:26 AM
To: [email-masked]
Cc: [email-masked]
Subject: Re: [AAA-WG]: 4 proposals for solving vendor specific commands

Erik